Index: GTP/trunk/Lib/Vis/Preprocessing/src/run_test2
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/run_test2	(revision 1900)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/run_test2	(revision 1942)
@@ -2,5 +2,5 @@
 
 #COMMAND="./release/preprocessor.exe -preprocessor_quit_on_finish+"
-COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter-"
+COMMAND="../scripts/preprocessor.sh -preprocessor_quit_on_finish+ -preprocessor_use_gl_renderer- -preprocessor_evaluate_filter+"
 
 #SCENE="../data/vienna/vienna-buildings.x3d;../data/vienna/vienna-roofs.x3d;../data/vienna/vienna-roads.x3d"
@@ -65,7 +65,12 @@
 
 $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
--rss_distributions=object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
--preprocessor_stats=$PREFIX-i-mixed-b1-n225678.log \
--preprocessor_histogram_file=$PREFIX-i-mixed-b1-n225678.hlog
+-rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
+-preprocessor_stats=$PREFIX-i-mixed-b1-n4.log \
+-preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4.hlog
+
+# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
+# -rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
+# -preprocessor_stats=$PREFIX-i-mixed-b1-n2.log \
+# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n2.hlog
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 1932)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 1942)
@@ -81,5 +81,11 @@
 {
 public:
-	struct PvsStatistics 
+
+  struct PerViewCellStat {
+	float pvsSize;
+	float relPvsIncrease;
+  };
+  
+  struct PvsStatistics 
 	{
 	  float minPvs;
@@ -90,8 +96,9 @@
 	  float avgFilterRadius;
 	  float avgFilterRatio;
+	  float avgRelPvsIncrease;
+	  float devRelPvsIncrease;
 	  int viewcells;
-	  
 	};
-
+  
 	/// view cell container types
 	enum {BSP, KD, VSP_KD, VSP_BSP, VSP_OSP};
@@ -789,4 +796,8 @@
 	/// if view cells geometry should be used from other sources
 	bool mUsePredefinedViewCells;
+
+  
+  vector<PerViewCellStat> mPerViewCellStat;
+
 };
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RayCaster.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RayCaster.h	(revision 1932)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RayCaster.h	(revision 1942)
@@ -98,4 +98,10 @@
         			 const AxisAlignedBox3 &box,
 					 Intersection &hit);
+
+  bool
+  ClipToViewSpaceBox(const Vector3 &origin,
+					 const Vector3 &termination,
+					 Vector3 &clippedOrigin,
+					 Vector3 &clippedTermination);
 	
   	const Preprocessor &mPreprocessor;
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 1934)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 1942)
@@ -1742,15 +1742,15 @@
 	RegisterOption("Preprocessor.loadMeshes",
 					optBool,
-					"preprocessor_load_meshes=",
+					"preprocessor_load_meshes",
 					"true");
 
 	RegisterOption("Preprocessor.evaluateFilter",
 				   optBool,
-				   "preprocessor_evaluate_filter=",
+				   "preprocessor_evaluate_filter",
 				   "false");
 
 	RegisterOption("Preprocessor.delayVisibilityComputation",
 				   optBool,
-				   "preprocessor_delay_computation=",
+				   "preprocessor_delay_computation",
 				   "true");
 
@@ -1762,30 +1762,30 @@
 	RegisterOption("Preprocessor.useGlRenderer",
 					optBool,
-					"preprocessor_use_gl_renderer=",
+					"preprocessor_use_gl_renderer",
 					"false");
 
 	RegisterOption("Preprocessor.useGlDebugger",
 					optBool,
-					"preprocessor_use_gl_debugger=",
+					"preprocessor_use_gl_debugger",
 					"false");
 
 	RegisterOption("Preprocessor.detectEmptyViewSpace",
 				   optBool,
-				   "preprocessor_detect_empty_viewspace=",
+				   "preprocessor_detect_empty_viewspace",
 				   "false");
 	
 	RegisterOption("Preprocessor.quitOnFinish",
 				   optBool,
-				   "preprocessor_quit_on_finish=",
+				   "preprocessor_quit_on_finish",
 				   "true");
 
 	RegisterOption("Preprocessor.computeVisibility",
 				   optBool,
-				   "preprocessor_compute_visibility=",
+				   "preprocessor_compute_visibility",
 				   "true");
 
 	RegisterOption("Preprocessor.exportVisibility",
 				   optBool,
-				   "preprocessor_export_visibility=",
+				   "preprocessor_export_visibility",
 				   "true");
 
@@ -1797,10 +1797,10 @@
 	RegisterOption("Preprocessor.applyVisibilityFilter",
 				   optBool,
-				   "preprocessor_apply_filter=",
+				   "preprocessor_apply_filter",
 				   "false");
 	
 	RegisterOption("Preprocessor.applyVisibilitySpatialFilter",
 				   optBool,
-				   "preprocessor_apply_spatial_filter=",
+				   "preprocessor_apply_spatial_filter",
 				   "false");
 
